Generation Framework

## org.eclipse.gmf.gmfgraph.util
Class GMFGraphSwitch

    java.lang.Object
      org.eclipse.gmf.gmfgraph.util.GMFGraphSwitch

Direct Known Subclasses:
  org.eclipse.gmf.gmfgraph.util.PureGEFFigureQualifiedNameSwitch

public class GMFGraphSwitch
extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `GMFGraphPackage`
** Generated **

Field Summary
`protected static GMFGraphPackage` `modelPackage` The cached model package

Constructor Summary
`GMFGraphSwitch()` Creates an instance of the switch

Method Summary
`java.lang.Object` `caseAlignmentFacet(AlignmentFacet object)` Returns the result of interpretting the object as an instance of 'Alignment Facet'
`java.lang.Object` `caseBasicFont(BasicFont object)` Returns the result of interpretting the object as an instance of 'Basic Font'
`java.lang.Object` `caseBorder(Border object)` Returns the result of interpretting the object as an instance of 'Border'
`java.lang.Object` `caseBorderLayout(BorderLayout object)` Returns the result of interpretting the object as an instance of 'Border Layout'
`java.lang.Object` `caseBorderLayoutData(BorderLayoutData object)` Returns the result of interpretting the object as an instance of 'Border Layout Data'
`java.lang.Object` `caseCanvas(Canvas object)` Returns the result of interpretting the object as an instance of 'Canvas'
`java.lang.Object` `caseColor(Color object)` Returns the result of interpretting the object as an instance of 'Color'
`java.lang.Object` `caseCompartment(Compartment object)` Returns the result of interpretting the object as an instance of 'Compartment'
`java.lang.Object` `caseCompoundBorder(CompoundBorder object)` Returns the result of interpretting the object as an instance of 'Compound Border'
`java.lang.Object` `caseConnection(Connection object)` Returns the result of interpretting the object as an instance of 'Connection'
`java.lang.Object` `caseConnectionFigure(ConnectionFigure object)` Returns the result of interpretting the object as an instance of 'Connection Figure'
`java.lang.Object` `caseConstantColor(ConstantColor object)` Returns the result of interpretting the object as an instance of 'Constant Color'
`java.lang.Object` `caseCustomAttribute(CustomAttribute object)` Returns the result of interpretting the object as an instance of 'Custom Attribute'
`java.lang.Object` `caseCustomBorder(CustomBorder object)` Returns the result of interpretting the object as an instance of 'Custom Border'
`java.lang.Object` `caseCustomClass(CustomClass object)` Returns the result of interpretting the object as an instance of 'Custom Class'
`java.lang.Object` `caseCustomConnection(CustomConnection object)` Returns the result of interpretting the object as an instance of 'Custom Connection'
`java.lang.Object` `caseCustomDecoration(CustomDecoration object)` Returns the result of interpretting the object as an instance of 'Custom Decoration'
`java.lang.Object` `caseCustomFigure(CustomFigure object)` Returns the result of interpretting the object as an instance of 'Custom Figure'
`java.lang.Object` `caseCustomLayout(CustomLayout object)` Returns the result of interpretting the object as an instance of 'Custom Layout'
`java.lang.Object` `caseCustomLayoutData(CustomLayoutData object)` Returns the result of interpretting the object as an instance of 'Custom Layout Data'
`java.lang.Object` `caseDecorationFigure(DecorationFigure object)` Returns the result of interpretting the object as an instance of 'Decoration Figure'
`java.lang.Object` `caseDiagramElement(DiagramElement object)` Returns the result of interpretting the object as an instance of 'Diagram Element'
`java.lang.Object` `caseDiagramLabel(DiagramLabel object)` Returns the result of interpretting the object as an instance of 'Diagram Label'
`java.lang.Object` `caseDimension(Dimension object)` Returns the result of interpretting the object as an instance of 'Dimension'
`java.lang.Object` `caseEllipse(Ellipse object)` Returns the result of interpretting the object as an instance of 'Ellipse'
`java.lang.Object` `caseFigure(Figure object)` Returns the result of interpretting the object as an instance of 'Figure'
`java.lang.Object` `caseFigureAccessor(FigureAccessor object)` Returns the result of interpretting the object as an instance of 'Figure Accessor'
`java.lang.Object` `caseFigureGallery(FigureGallery object)` Returns the result of interpretting the object as an instance of 'Figure Gallery'
`java.lang.Object` `caseFigureHandle(FigureHandle object)` Returns the result of interpretting the object as an instance of 'Figure Handle'
`java.lang.Object` `caseFigureMarker(FigureMarker object)` Returns the result of interpretting the object as an instance of 'Figure Marker'
`java.lang.Object` `caseFigureRef(FigureRef object)` Returns the result of interpretting the object as an instance of 'Figure Ref'
`java.lang.Object` `caseFlowLayout(FlowLayout object)` Returns the result of interpretting the object as an instance of 'Flow Layout'
`java.lang.Object` `caseFont(Font object)` Returns the result of interpretting the object as an instance of 'Font'
`java.lang.Object` `caseGeneralFacet(GeneralFacet object)` Returns the result of interpretting the object as an instance of 'General Facet'
`java.lang.Object` `caseGradientFacet(GradientFacet object)` Returns the result of interpretting the object as an instance of 'Gradient Facet'
`java.lang.Object` `caseGridLayout(GridLayout object)` Returns the result of interpretting the object as an instance of 'Grid Layout'
`java.lang.Object` `caseGridLayoutData(GridLayoutData object)` Returns the result of interpretting the object as an instance of 'Grid Layout Data'
`java.lang.Object` `caseIdentity(Identity object)` Returns the result of interpretting the object as an instance of 'Identity'
`java.lang.Object` `caseInsets(Insets object)` Returns the result of interpretting the object as an instance of 'Insets'
`java.lang.Object` `caseLabel(Label object)` Returns the result of interpretting the object as an instance of 'Label'
`java.lang.Object` `caseLabeledContainer(LabeledContainer object)` Returns the result of interpretting the object as an instance of 'Labeled Container'
`java.lang.Object` `caseLabelOffsetFacet(LabelOffsetFacet object)` Returns the result of interpretting the object as an instance of 'Label Offset Facet'
`java.lang.Object` `caseLayout(Layout object)` Returns the result of interpretting the object as an instance of 'Layout'
`java.lang.Object` `caseLayoutable(Layoutable object)` Returns the result of interpretting the object as an instance of 'Layoutable'
`java.lang.Object` `caseLayoutData(LayoutData object)` Returns the result of interpretting the object as an instance of 'Layout Data'
`java.lang.Object` `caseLineBorder(LineBorder object)` Returns the result of interpretting the object as an instance of 'Line Border'
`java.lang.Object` `caseMarginBorder(MarginBorder object)` Returns the result of interpretting the object as an instance of 'Margin Border'
`java.lang.Object` `caseNode(Node object)` Returns the result of interpretting the object as an instance of 'Node'
`java.lang.Object` `casePoint(Point object)` Returns the result of interpretting the object as an instance of 'Point'
`java.lang.Object` `casePolygon(Polygon object)` Returns the result of interpretting the object as an instance of 'Polygon'
`java.lang.Object` `casePolygonDecoration(PolygonDecoration object)` Returns the result of interpretting the object as an instance of 'Polygon Decoration'
`java.lang.Object` `casePolyline(Polyline object)` Returns the result of interpretting the object as an instance of 'Polyline'
`java.lang.Object` `casePolylineConnection(PolylineConnection object)` Returns the result of interpretting the object as an instance of 'Polyline Connection'
`java.lang.Object` `casePolylineDecoration(PolylineDecoration object)` Returns the result of interpretting the object as an instance of 'Polyline Decoration'
`java.lang.Object` `caseRectangle(Rectangle object)` Returns the result of interpretting the object as an instance of 'Rectangle'
`java.lang.Object` `caseRGBColor(RGBColor object)` Returns the result of interpretting the object as an instance of 'RGB Color'
`java.lang.Object` `caseRoundedRectangle(RoundedRectangle object)` Returns the result of interpretting the object as an instance of 'Rounded Rectangle'
`java.lang.Object` `caseShape(Shape object)` Returns the result of interpretting the object as an instance of 'Shape'
`java.lang.Object` `caseStackLayout(StackLayout object)` Returns the result of interpretting the object as an instance of 'Stack Layout'
`java.lang.Object` `caseVisualFacet(VisualFacet object)` Returns the result of interpretting the object as an instance of 'Visual Facet'
`java.lang.Object` `caseXYLayout(XYLayout object)` Returns the result of interpretting the object as an instance of 'XY Layout'
`java.lang.Object` `caseXYLayoutData(XYLayoutData object)` Returns the result of interpretting the object as an instance of 'XY Layout Data'
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'
`protected java.lang.Object` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected java.lang.Object` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFGraphPackage modelPackage

  The cached model package

  ** Generated **

Constructor Detail

### GMFGraphSwitch

    public GMFGraphSwitch()

  Creates an instance of the switch.

** Generated **

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected java.lang.Object doSwitch(EClass theEClass,
                                        EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected java.lang.Object doSwitch(int classifierID,
                                        EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### caseCanvas

    public java.lang.Object caseCanvas(Canvas object)

  Returns the result of interpretting the object as an instance of 'Canvas'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Canvas'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureGallery

    public java.lang.Object caseFigureGallery(FigureGallery object)

  Returns the result of interpretting the object as an instance of 'Figure Gallery'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Gallery'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseIdentity

    public java.lang.Object caseIdentity(Identity object)

  Returns the result of interpretting the object as an instance of 'Identity'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Identity'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDiagramElement

    public java.lang.Object caseDiagramElement(DiagramElement object)

  Returns the result of interpretting the object as an instance of 'Diagram Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Diagram Element'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNode

    public java.lang.Object caseNode(Node object)

  Returns the result of interpretting the object as an instance of 'Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConnection

    public java.lang.Object caseConnection(Connection object)

  Returns the result of interpretting the object as an instance of 'Connection'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Connection'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCompartment

    public java.lang.Object caseCompartment(Compartment object)

  Returns the result of interpretting the object as an instance of 'Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Compartment'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDiagramLabel

    public java.lang.Object caseDiagramLabel(DiagramLabel object)

  Returns the result of interpretting the object as an instance of 'Diagram Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Diagram Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseVisualFacet

    public java.lang.Object caseVisualFacet(VisualFacet object)

  Returns the result of interpretting the object as an instance of 'Visual Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Visual Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGeneralFacet

    public java.lang.Object caseGeneralFacet(GeneralFacet object)

  Returns the result of interpretting the object as an instance of 'General Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'General Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAlignmentFacet

    public java.lang.Object caseAlignmentFacet(AlignmentFacet object)

  Returns the result of interpretting the object as an instance of 'Alignment Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Alignment Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGradientFacet

    public java.lang.Object caseGradientFacet(GradientFacet object)

  Returns the result of interpretting the object as an instance of 'Gradient Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gradient Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabelOffsetFacet

    public java.lang.Object caseLabelOffsetFacet(LabelOffsetFacet object)

  Returns the result of interpretting the object as an instance of 'Label Offset Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Label Offset Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureMarker

    public java.lang.Object caseFigureMarker(FigureMarker object)

  Returns the result of interpretting the object as an instance of 'Figure Marker'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Marker'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureHandle

    public java.lang.Object caseFigureHandle(FigureHandle object)

  Returns the result of interpretting the object as an instance of 'Figure Handle'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Handle'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigure

    public java.lang.Object caseFigure(Figure object)

  Returns the result of interpretting the object as an instance of 'Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureRef

    public java.lang.Object caseFigureRef(FigureRef object)

  Returns the result of interpretting the object as an instance of 'Figure Ref'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Ref'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConnectionFigure

    public java.lang.Object caseConnectionFigure(ConnectionFigure object)

  Returns the result of interpretting the object as an instance of 'Connection Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Connection Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDecorationFigure

    public java.lang.Object caseDecorationFigure(DecorationFigure object)

  Returns the result of interpretting the object as an instance of 'Decoration Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Decoration Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseShape

    public java.lang.Object caseShape(Shape object)

  Returns the result of interpretting the object as an instance of 'Shape'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Shape'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabel

    public java.lang.Object caseLabel(Label object)

  Returns the result of interpretting the object as an instance of 'Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabeledContainer

    public java.lang.Object caseLabeledContainer(LabeledContainer object)

  Returns the result of interpretting the object as an instance of 'Labeled Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Labeled Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRectangle

    public java.lang.Object caseRectangle(Rectangle object)

  Returns the result of interpretting the object as an instance of 'Rectangle'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Rectangle'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRoundedRectangle

    public java.lang.Object caseRoundedRectangle(RoundedRectangle object)

  Returns the result of interpretting the object as an instance of 'Rounded Rectangle'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Rounded Rectangle'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEllipse

    public java.lang.Object caseEllipse(Ellipse object)

  Returns the result of interpretting the object as an instance of 'Ellipse'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Ellipse'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolyline

    public java.lang.Object casePolyline(Polyline object)

  Returns the result of interpretting the object as an instance of 'Polyline'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polyline'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolygon

    public java.lang.Object casePolygon(Polygon object)

  Returns the result of interpretting the object as an instance of 'Polygon'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polygon'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolylineConnection

    public java.lang.Object casePolylineConnection(PolylineConnection object)

  Returns the result of interpretting the object as an instance of 'Polyline Connection'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polyline Connection'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolylineDecoration

    public java.lang.Object casePolylineDecoration(PolylineDecoration object)

  Returns the result of interpretting the object as an instance of 'Polyline Decoration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polyline Decoration'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePolygonDecoration

    public java.lang.Object casePolygonDecoration(PolygonDecoration object)

  Returns the result of interpretting the object as an instance of 'Polygon Decoration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polygon Decoration'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomClass

    public java.lang.Object caseCustomClass(CustomClass object)

  Returns the result of interpretting the object as an instance of 'Custom Class'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Class'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomFigure

    public java.lang.Object caseCustomFigure(CustomFigure object)

  Returns the result of interpretting the object as an instance of 'Custom Figure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Figure'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomDecoration

    public java.lang.Object caseCustomDecoration(CustomDecoration object)

  Returns the result of interpretting the object as an instance of 'Custom Decoration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Decoration'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomConnection

    public java.lang.Object caseCustomConnection(CustomConnection object)

  Returns the result of interpretting the object as an instance of 'Custom Connection'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Connection'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseColor

    public java.lang.Object caseColor(Color object)

  Returns the result of interpretting the object as an instance of 'Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRGBColor

    public java.lang.Object caseRGBColor(RGBColor object)

  Returns the result of interpretting the object as an instance of 'RGB Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'RGB Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConstantColor

    public java.lang.Object caseConstantColor(ConstantColor object)

  Returns the result of interpretting the object as an instance of 'Constant Color'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Constant Color'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFont

    public java.lang.Object caseFont(Font object)

  Returns the result of interpretting the object as an instance of 'Font'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Font'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBasicFont

    public java.lang.Object caseBasicFont(BasicFont object)

  Returns the result of interpretting the object as an instance of 'Basic Font'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Basic Font'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePoint

    public java.lang.Object casePoint(Point object)

  Returns the result of interpretting the object as an instance of 'Point'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Point'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDimension

    public java.lang.Object caseDimension(Dimension object)

  Returns the result of interpretting the object as an instance of 'Dimension'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Dimension'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseInsets

    public java.lang.Object caseInsets(Insets object)

  Returns the result of interpretting the object as an instance of 'Insets'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Insets'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBorder

    public java.lang.Object caseBorder(Border object)

  Returns the result of interpretting the object as an instance of 'Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLineBorder

    public java.lang.Object caseLineBorder(LineBorder object)

  Returns the result of interpretting the object as an instance of 'Line Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Line Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMarginBorder

    public java.lang.Object caseMarginBorder(MarginBorder object)

  Returns the result of interpretting the object as an instance of 'Margin Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Margin Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCompoundBorder

    public java.lang.Object caseCompoundBorder(CompoundBorder object)

  Returns the result of interpretting the object as an instance of 'Compound Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Compound Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomBorder

    public java.lang.Object caseCustomBorder(CustomBorder object)

  Returns the result of interpretting the object as an instance of 'Custom Border'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Border'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLayoutData

    public java.lang.Object caseLayoutData(LayoutData object)

  Returns the result of interpretting the object as an instance of 'Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomLayoutData

    public java.lang.Object caseCustomLayoutData(CustomLayoutData object)

  Returns the result of interpretting the object as an instance of 'Custom Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGridLayoutData

    public java.lang.Object caseGridLayoutData(GridLayoutData object)

  Returns the result of interpretting the object as an instance of 'Grid Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grid Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBorderLayoutData

    public java.lang.Object caseBorderLayoutData(BorderLayoutData object)

  Returns the result of interpretting the object as an instance of 'Border Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Border Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLayoutable

    public java.lang.Object caseLayoutable(Layoutable object)

  Returns the result of interpretting the object as an instance of 'Layoutable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Layoutable'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLayout

    public java.lang.Object caseLayout(Layout object)

  Returns the result of interpretting the object as an instance of 'Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomLayout

    public java.lang.Object caseCustomLayout(CustomLayout object)

  Returns the result of interpretting the object as an instance of 'Custom Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGridLayout

    public java.lang.Object caseGridLayout(GridLayout object)

  Returns the result of interpretting the object as an instance of 'Grid Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grid Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBorderLayout

    public java.lang.Object caseBorderLayout(BorderLayout object)

  Returns the result of interpretting the object as an instance of 'Border Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Border Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCustomAttribute

    public java.lang.Object caseCustomAttribute(CustomAttribute object)

  Returns the result of interpretting the object as an instance of 'Custom Attribute'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Attribute'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureAccessor

    public java.lang.Object caseFigureAccessor(FigureAccessor object)

  Returns the result of interpretting the object as an instance of 'Figure Accessor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Accessor'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFlowLayout

    public java.lang.Object caseFlowLayout(FlowLayout object)

  Returns the result of interpretting the object as an instance of 'Flow Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Flow Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseXYLayout

    public java.lang.Object caseXYLayout(XYLayout object)

  Returns the result of interpretting the object as an instance of 'XY Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XY Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseXYLayoutData

    public java.lang.Object caseXYLayoutData(XYLayoutData object)

  Returns the result of interpretting the object as an instance of 'XY Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XY Layout Data'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStackLayout

    public java.lang.Object caseStackLayout(StackLayout object)

  Returns the result of interpretting the object as an instance of 'Stack Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Stack Layout'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `GMFGraphSwitch.doSwitch(org.eclipse.emf.ecore.EObject)`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.